#Control two LED's on an ATtiny84 with a graphical user interface written in python
#by Christopher Leon

import serial
from tkinter import *

t84data = serial.Serial('com6',4800) #Match that of the Comm port of the ATtiny84 modular board

#Objects for sending the commands over serial

def RLED_OFF():
    t84data.write(b'0')

def RLED_ON():
    t84data.write(b'1cd')
	
def BLED_OFF():
	t84data.write(b'2')
	
def BLED_ON():
	t84data.write(b'3')


t84_2LED = Tk() 

t84_2LED.geometry('300x150+200+300') #creates a window of a defined size for the GUI
t84_2LED.title('2 LED switch') #Title on the top of the window

#These are button widgets that send defined commands
RONBTN = Button(t84_2LED, text="ON", command=RLED_ON)
ROFFBTN = Button(t84_2LED, text="OFF", command=RLED_OFF)

BONBTN = Button(t84_2LED, text="ON", command=BLED_ON)
BOFFBTN = Button(t84_2LED, text="OFF", command=BLED_OFF)

#Use the built-in grid feature to lay out the buttons 

RONBTN.grid(row=0, column=2)
ROFFBTN.grid(row=1, column=2)
RLABEL = Label(text='RED').grid(row=2, column=2) #Label object to indicate which color is being controlled

BONBTN.grid(row=0, column=4)
BOFFBTN.grid(row=1, column=4)
BLABEL = Label(text='BLUE').grid(row=2, column=4)

t84_2LED.mainloop() #create loop

input("Press enter to exit") 
